WPS4TextInternal::Font Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | Friends | List of all members
WPS4TextInternal::Font Struct Reference

Internal: class to store font properties. More...

Inheritance diagram for WPS4TextInternal::Font:

## Public Member Functions
| Font (libwps_tools_win::Font::Type type)
| constructor with file's version to define the default encoding */ More...
Public Member Functions inherited from WPSFont
| WPSFont ()
| constructor More...
virtual | ~WPSFont ()
| destructor More...
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList More...
bool | isSet () const
| accessor More...
bool | operator== (WPSFont const &ft) const
| operator== More...
bool | operator!= (WPSFont const &ft) const
| operator!= More...

## Static Public Member Functions
static Font | getDefault (libwps_tools_win::Font::Type type, int version)
| returns a default font (Courier12) with file's version to define the default encoding */ More...
Static Public Member Functions inherited from WPSFont
static WPSFont | getDefault ()
| returns the default font ( Courier 12pt) More...

## Public Attributes
libwps_tools_win::Font::Type | m_type
| the font encoding type More...
WPSColor | m_backColor
| background color index More...
bool | m_special
| a flag to know if we have a special field (a note), ... More...
int | m_dlinkId
| a id to retrieve a file name ( dos ) More...
Public Attributes inherited from WPSFont
librevenge::RVNGString | m_name
| font name More...
double | m_size
| font size More...
uint32_t | m_attributes
| the font attributes defined as a set of bits More...
double | m_spacing
| font spacing More...
WPSColor | m_color
| the font color More...
int | m_languageId
| the language (simplified locale name id) if known More...
std::string | m_extra
| public field use to add a message when the font is printed More...

## Friends
std::ostream & | operator<< (std::ostream &o, Font const &ft)
| operator<< More...

## Detailed Description

Internal: class to store font properties.

## Constructor & Destructor Documentation

WPS4TextInternal::Font::Font | ( | libwps_tools_win::Font::Type | type | ) |
| inlineexplicit

constructor with file's version to define the default encoding */

## Member Function Documentation

static Font WPS4TextInternal::Font::getDefault | ( | libwps_tools_win::Font::Type | type,
|  | int | version
| ) |  |
| inlinestatic

returns a default font (Courier12) with file's version to define the default encoding */

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Font const & | ft
| ) |  |
| friend

operator<<

## Member Data Documentation

WPSColor WPS4TextInternal::Font::m_backColor

background color index

Referenced by WPS4TextInternal::operator<<(), and WPS4Text::readFont().

int WPS4TextInternal::Font::m_dlinkId

a id to retrieve a file name ( dos )

Referenced by WPS4TextInternal::operator<<(), WPS4Text::readFont(), and WPS4Text::readText().

bool WPS4TextInternal::Font::m_special

a flag to know if we have a special field (a note), ...

Referenced by WPS4TextInternal::operator<<(), WPS4Text::readFont(), and WPS4Text::readText().

libwps_tools_win::Font::Type WPS4TextInternal::Font::m_type

the font encoding type

Referenced by WPS4Text::readFont(), and WPS4Text::readText().

The documentation for this struct was generated from the following file:

- WPS4Text.cpp